Package com.collibra.dgc.importer.core.api

# Interface ImporterApi

@Deprecated public interface ImporterApi
Deprecated.
This interface will be removed in the future. Please, use `ImporterApi`.
Contains all API operations for handling import.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Job`
  `importJsonInJob(FileImportRequest request)`
  Deprecated.
  This method will be removed in the future.
  `Job`
  `synchronizeBatchInJob(SynchronizationBatchRequest request)`
  Deprecated.
  This method will be removed in the future.
  `Job`
  `synchronizeFinalizationInJob(SynchronizationFinalizationRequest request)`
  Deprecated.
  This method will be removed in the future.
  `Job`
  `synchronizeInJob(SynchronizationRequest request)`
  Deprecated.
  This method will be removed in the future.

- ## Method Details

  - ### importJsonInJob

    @Deprecated Job importJsonInJob(FileImportRequest request)
    Deprecated.
    This method will be removed in the future. Please, use `ImporterApi.importJsonInJob(com.collibra.dgc.importer.api.request.ImportJsonInJobRequest)`.
    Starts import JSON job.

    Request is parsed from the file provided within request or uploaded file for which the `id` is provided (also within request).

    Parameters:
      `request` - the request containing parameters for import job
    Returns:
      the import job

  - ### synchronizeBatchInJob

    @Deprecated Job synchronizeBatchInJob(SynchronizationBatchRequest request)
    Deprecated.
    This method will be removed in the future. Please, use `ImporterApi.synchronizeBatchJsonInJob(com.collibra.dgc.importer.api.request.SynchronizationBatchJsonInJobRequest)`.
    Starts partial (batch) import synchronization job.

    Request is parsed from the file provided within request or uploaded file for which the `id` is provided (also within request). The input file is treated as a part (batch) of synchronization process. After last batch, finalization (cleanup) process should be called.

    Parameters:
      `request` - the request containing parameters for import synchronization job
    Returns:
      the import job

  - ### synchronizeFinalizationInJob

    @Deprecated Job synchronizeFinalizationInJob(SynchronizationFinalizationRequest request)
    Deprecated.
    This method will be removed in the future. Please, use `ImporterApi.synchronizeFinalizationInJob(com.collibra.dgc.importer.api.request.SynchronizationFinalizationRequest)`.
    Starts import finalization (cleanup) job.
    Parameters:
      `request` - the request containing parameters for cleanup
    Returns:
      the cleanup import job

  - ### synchronizeInJob

    @Deprecated Job synchronizeInJob(SynchronizationRequest request)
    Deprecated.
    This method will be removed in the future. Please, use `ImporterApi.synchronizeJsonInJob(com.collibra.dgc.importer.api.request.SynchronizationJsonInJobRequest)`.
    Starts full import synchronization job.

    Request is parsed from the file provided within request or uploaded file for which the `id` is provided (also within request). The input file is treated as a full input of synchronization process.

    Parameters:
      `request` - the request containing parameters for import synchronization job
    Returns:
      the import job